- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# gcp_redis_instance_info – Gather info for GCP Instance

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Gather info for GCP Instance
- This module was called `gcp_redis_instance_facts` before Ansible 2.9. The usage has not changed.

Aliases: gcp_redis_instance_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- requests >= 2.18.4
- google-auth >= 1.3.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auth_kind string / required | Choices: application machineaccount serviceaccount | The type of credential used.
env_type string |  | Specifies which Ansible environment you're running this module within. This should not be set unless you know what you're doing. This only alters the User Agent string for any API requests.
project string |  | The Google Cloud Platform project to use.
region string / required |  | The name of the Redis region of the instance.
scopes list |  | Array of scopes to be used.
service_account_contents jsonarg |  | The contents of a Service Account JSON file, either in a dictionary or as a JSON string that represents it.
service_account_email string |  | An optional service account email address if machineaccount is selected and the user does not wish to use the default email.
service_account_file path |  | The path of a Service Account JSON file if serviceaccount is selected as type.

## Notes

Note

- for authentication, you can set service_account_file using the c(gcp_service_account_file) env variable.
- for authentication, you can set service_account_contents using the c(GCP_SERVICE_ACCOUNT_CONTENTS) env variable.
- For authentication, you can set service_account_email using the `GCP_SERVICE_ACCOUNT_EMAIL` env variable.
- For authentication, you can set auth_kind using the `GCP_AUTH_KIND` env variable.
- For authentication, you can set scopes using the `GCP_SCOPES` env variable.
- Environment variables values will only be used if the playbook values are not set.
- The service_account_email and service_account_file options are mutually exclusive.

## Examples

    - name: get info on an instance
      gcp_redis_instance_info:
        region: us-central1
        project: test_project
        auth_kind: serviceaccount
        service_account_file: "/tmp/auth.pem"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
resources complex | always | List of resources
| alternativeLocationId string | success | Only applicable to STANDARD_HA tier which protects the instance against zonal failures by provisioning it across two zones. If provided, it must be a different zone from the one provided in [locationId].
| authorizedNetwork string | success | The full name of the Google Compute Engine network to which the instance is connected. If left unspecified, the default network will be used.
| createTime string | success | The time the instance was created in RFC3339 UTC "Zulu" format, accurate to nanoseconds.
| currentLocationId string | success | The current zone where the Redis endpoint is placed. For Basic Tier instances, this will always be the same as the [locationId] provided by the user at creation time. For Standard Tier instances, this can be either [locationId] or [alternativeLocationId] and can change after a failover event.
| displayName string | success | An arbitrary and optional user-provided name for the instance.
| host string | success | Hostname or IP address of the exposed Redis endpoint used by clients to connect to the service.
| labels dictionary | success | Resource labels to represent user provided metadata.
| locationId string | success | The zone where the instance will be provisioned. If not provided, the service will choose a zone for the instance. For STANDARD_HA tier, instances will be created across two zones for protection against zonal failures. If [alternativeLocationId] is also provided, it must be different from [locationId].
| memorySizeGb integer | success | Redis memory size in GiB.
| name string | success | The ID of the instance or a fully qualified identifier for the instance. .
| port integer | success | The port number of the exposed Redis endpoint.
| redisConfigs dictionary | success | Redis configuration parameters, according to http://redis.io/topics/config. Please check Memorystore documentation for the list of supported parameters: https://cloud.google.com/memorystore/docs/redis/reference/rest/v1/projects.locations.instances#Instance.FIELDS.redis_configs .
| redisVersion string | success | The version of Redis software. If not provided, latest supported version will be used. Currently, the supported values are: - REDIS_4_0 for Redis 4.0 compatibility - REDIS_3_2 for Redis 3.2 compatibility .
| region string | success | The name of the Redis region of the instance.
| reservedIpRange string | success | The CIDR range of internal addresses that are reserved for this instance. If not provided, the service will choose an unused /29 block, for example, 10.0.0.0/29 or 192.168.0.0/29. Ranges must be unique and non-overlapping with existing subnets in an authorized network.
| tier string | success | The service tier of the instance. Must be one of these values: - BASIC: standalone instance - STANDARD_HA: highly available primary/replica instances .

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Google Inc. (@googlecloudplatform)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.